Bug 1026698 - Use SecurityContextManager to retrieve context in case sealed
Use SecurityContextManager to retrieve context in case sealed
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Gary Brown
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 04:30 EST by Gary Brown
Modified: 2014-07-02 05:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-247 Major Closed Change switchyard event listener to use ExchangeInitiated/CompletedEvents 2014-07-02 05:18:46 EDT
JBoss Issue Tracker RTGOV-311 Major Closed Switchyard Exchange Validator needs to change to use ExchangeInterceptor 2014-07-02 05:19:14 EDT

  None (edit)
Description Gary Brown 2013-11-05 04:30:29 EST
Description of problem:

The RTGov activity collector and validator directly accesses the SecurityContext from the properties on the camel exchange. The problem with this approach is if the SecurityContext is sealed.

After discussion with Keith Babo and David Ward, the best approach is to access the SecurityContext using the SecurityContextManager - but this requires the use of the SwitchYard exchange instead of the Camel Exchange.

Therefore two changes are required:

1) Switch to using the switchyard ExchangeInitiatedEvent and ExchangeCompletionEvent, instead of the camel equivalent events. (RTGOV-247)

2) Change the AbstractExchangeValidator be based on the ExchangeInterceptor mechanism instead of Auditor. (RTGOV-311)
Comment 2 Jiri Pechanec 2014-01-07 07:52:11 EST
Verified in ER8
Comment 3 JBoss JIRA Server 2014-07-02 05:18:46 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-247 to Closed
Comment 4 JBoss JIRA Server 2014-07-02 05:19:15 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-311 to Closed

Note You need to log in before you can comment on or make changes to this bug.